### Class

# PangoFontFace

#### Description [src]

    abstract class Pango.FontFace : GObject.Object
    {
      /* No available fields */
    }

A `PangoFontFace` is used to represent a group of fonts with the same family, slant, weight, and width, but varying sizes.

#### Ancestors

- GObject

#### Instance methods

###### pango_font_face_describe

Returns a font description that matches the face.

###### pango_font_face_get_face_name

Gets a name representing the style of this face.

###### pango_font_face_get_family

Gets the `PangoFontFamily` that `face` belongs to.

since: 1.46

###### pango_font_face_is_synthesized

Returns whether a `PangoFontFace` is synthesized.

since: 1.18

###### pango_font_face_list_sizes

List the available sizes for a font.

since: 1.4

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct PangoFontFaceClass {
      GObjectClass parent_class;
      const char* (* get_face_name) (
        PangoFontFace* face
      );
      PangoFontDescription* (* describe) (
        PangoFontFace* face
      );
      void (* list_sizes) (
        PangoFontFace* face,
        int** sizes,
        int* n_sizes
      );
      gboolean (* is_synthesized) (
        PangoFontFace* face
      );
      PangoFontFamily* (* get_family) (
        PangoFontFace* face
      );
      void (* _pango_reserved3) (
    void
      );
      void (* _pango_reserved4) (
    void
      );

    }

No description available.

###### Class members

`parent_class: GObjectClass`
  No description available.
`get_face_name: const char* (* get_face_name) ( PangoFontFace* face )`
  No description available.
`describe: PangoFontDescription* (* describe) ( PangoFontFace* face )`
  No description available.
`list_sizes: void (* list_sizes) ( PangoFontFace* face, int** sizes, int* n_sizes )`
  No description available.
`is_synthesized: gboolean (* is_synthesized) ( PangoFontFace* face )`
  No description available.
`get_family: PangoFontFamily* (* get_family) ( PangoFontFace* face )`
  No description available.
`_pango_reserved3: void (* _pango_reserved3) ( void )`
  No description available.
`_pango_reserved4: void (* _pango_reserved4) ( void )`
  No description available.

#### Virtual methods

###### Pango.FontFaceClass.describe

Returns a font description that matches the face.

###### Pango.FontFaceClass.get_face_name

Gets a name representing the style of this face.

###### Pango.FontFaceClass.get_family

Gets the `PangoFontFamily` that `face` belongs to.

since: 1.46

###### Pango.FontFaceClass.is_synthesized

Returns whether a `PangoFontFace` is synthesized.

since: 1.18

###### Pango.FontFaceClass.list_sizes

List the available sizes for a font.

since: 1.4